diff --git a/hist/histpainter/src/THistPainter.cxx b/hist/histpainter/src/THistPainter.cxx
index 9a651bc..f1c8cd0 100644
--- a/hist/histpainter/src/THistPainter.cxx
+++ b/hist/histpainter/src/THistPainter.cxx
@@ -3445,6 +3445,7 @@ Int_t THistPainter::MakeChopt(Option_t *choptin)
       if (l[4] == '1') { Hoption.Lego = 11; l[4] = ' '; }
       if (l[4] == '2') { Hoption.Lego = 12; l[4] = ' '; }
       if (l[4] == '3') { Hoption.Lego = 13; l[4] = ' '; }
+      if (l[4] == '4') { Hoption.Lego = 14; l[4] = ' '; }
       l = strstr(chopt,"FB"); if (l) { Hoption.FrontBox = 0; strncpy(l,"  ",2); }
       l = strstr(chopt,"BB"); if (l) { Hoption.BackBox = 0;  strncpy(l,"  ",2); }
       l = strstr(chopt,"0");  if (l) { Hoption.Zero = 1;  strncpy(l," ",1); }
@@ -6455,11 +6456,19 @@ void THistPainter::PaintLego(Option_t *)
    fLego = new TPainter3dAlgorithms(fXbuf, fYbuf, Hoption.System);
    fLego->SetEdgeAtt(fH->GetLineColor(),fH->GetLineStyle(),fH->GetLineWidth());
    
+   Color_t colormain = -1, colordark = -1 ;
+   Bool_t drawShadowsInLego1=kTRUE ;
+
    // LEGO3 is like LEGO1 except that the black lines around each lego are not drawn.
    if (Hoption.Lego == 13) {
       Hoption.Lego = 11;
       fLego->SetMesh(0);
    }
+   // LEGO4 is like LEGO1 except no shadows are drawn.
+   if (Hoption.Lego == 14) {
+      Hoption.Lego = 11;
+      drawShadowsInLego1=kFALSE ;
+   }
 
    //          Create axis object
 
@@ -6476,7 +6485,7 @@ void THistPainter::PaintLego(Option_t *)
 
    //     Initialize colors for the lighting model (option Lego1 only)
    if (Hoption.Lego == 1) {
-         Color_t colormain = fH->GetLineColor();
+         colormain = fH->GetLineColor();
          fLego->SetColorMain(colormain,0);
    }
    if (Hoption.Lego == 11) {
@@ -6485,9 +6494,10 @@ void THistPainter::PaintLego(Option_t *)
       TH1 *hid = fH;
       for (Int_t id=0;id<=nids;id++) {
          if (id > 0 && fStack) hid = (TH1*)fStack->At(id-1);
-         Color_t colormain = hid->GetFillColor();
+         colormain = hid->GetFillColor();
          if (colormain == 1) colormain = 17; //avoid drawing with black
-         Color_t colordark = TColor::GetColorDark(colormain);
+         if (drawShadowsInLego1) colordark = TColor::GetColorDark(colormain);
+         else                    colordark = colormain ; 
          fLego->SetColorMain(colormain,id);
          fLego->SetColorDark(colordark,id);
          if (id == 0)    fLego->SetColorMain(colormain,-1);  // Set Bottom color
